Transcend Docs
API referenceCustom integration

Respond to an access request (file JSON upload)

POST
/v1/datapoint-chunked

If you need to page over a large amount of JSON data, then use this endpoint to send the JSON in chunks. Transcend will create a file and append each JSON chunk to the file as you post the data. You will specify when your service has completed paging over the data, after which, Transcend will mark the Datapoint as ready.

Authorization

Transcend_API_Key API Key must be associated to this integration
headerAuthorizationBearer <token>

authorization: Bearer <>

Scope: API Key must be associated to this integration

Header Parameters

authorization*string

An API key generated from the Transcend dashboard: https://app.transcend.io/infrastructure/api-keys.

x-sombra-authorization?string

The Sombra internal key. This header is only needed for self-hosted Sombra gateways. See https://docs.transcend.io/docs/dsr-automation/api-integration/authentication#authenticating-to-sombra

content-type*string

Specify content-type: application/json for a JSON response from the Transcend API.

Matchapplication-json
x-transcend-nonce*string

A reusable token sent in Transcend's webhook for this job, and returned by you when uploading the result of this job back to Transcend. Called a 'nonce' for legacy reasons, but is actually reusable.

Request Body

application/json
  1. body
dataPointName*string

The name of the datapoint that data is being uploaded for.

data*array<>

An array of data to be uploaded for that datapoints. This is typically a page worth of JSON data

isLastPage?boolean

Set to true when you upload your final page of data (you may also upload an empty list with isLastPage=true). When this value is set to true, the datapoint will be marked as completed.

fileId?string

Give the chunk of data being uploaded a title. For example, if the data is some date range, you could title the file "mm/dd/yyy - mm/dd/yyy"

Response Body

Your request was received without an issue.

application/json
  1. response
curl -X POST 'https://multi-tenant.sombra.transcend.io/v1/datapoint-chunked' \  -H 'authorization: string' \  -H 'content-type: string' \  -H 'x-transcend-nonce: string' \  -H 'Content-Type: application/json' \  -d '{  "dataPointName": "activities",  "fileId": "History 04/07 - 04/08",  "data": [    {      "id": "d8e57222-43c6-4fd7-b928-4a8ae106fe98",      "time_stamp": "2022-04-07T04:58:19.900Z",      "metric": 4,      "isCool": true    },    {      "id": "31a17418-ec6e-4b3a-9056-b5c17278d053",      "time_stamp": "2022-04-08T04:58:19.900Z",      "metric": 0,      "isCool": false    }  ]}'
Example Response
{}